Subject: Re: audio/faad2 needs updating
To: None <>
From: None <>
List: pkgsrc-users
Date: 12/08/2007 03:29:09
On Friday 07 December 2007 22:45:57 Matthias Drochner wrote:
> > would it be possible to update audio/faad2 to the latest version? The
> > version in pkgsrc-current is 2.0 and faad2-2.6.1 has been recently
> > released.
> The reason that I didn't update to 2.5 is that there was a licencing change
> between 2.0 and 2.5 which is - according to people in the Linux/Debian
> camp - even self-contradicting, so calling for trouble.
> Also, the only relevant technical change in 2.5 seems to be support of
> SBR/PS which is not that essential -- at least one should weight the
> benefits against the drawbacks.
> I'm not generally opposed to a switch to newer versions -- what does 2.6
> add?
> best regards
> Matthias

All my music is encoded in aacPlus v2 (aka HE-AAC v2) files at 56 kb/s. At 
this bitrate, without spectral band replication and parametric stereo, the 
playback is pretty crap. So in my opinion this is essential.

There aren't any decent audio players for Unix (I run SPARC Solaris) which 
properly support aacPlus v2 codec. The ony way I can play my music on my 
workstation is by

faad -o /dev/stdout some_file.mp4 | audioplay

So I had previously compiled faad2-2.6.1 by hand, but I would like to see it 
in pkgsrc.